#!/bin/bash
#Donnes saisies par l'utilisateur
echo "Donnez le nom du dossier contenant les fichiers de liens http : "; 
read dossier; 
#Variable qui stocke le nom du rpertoire saisie par l'utilisateur.
echo "Donnez le nom du fichier html o stocker ces liens dans des tableaux : "; 
read tablo; 
echo "<html><head><title>tableau de liens</title></head><body>" > $tablo; 
i=1 #initialisation de variable i
for fichier in `ls $dossier`
{
    echo $fichier;
    echo "<table border=1>" >> $tablo; 
    echo "<tr><td align="center" bg	color=\"silver\" colspan=\"4\"><b>Fichier $fichier</b></td></tr>" >> $tablo;
    for nom in `cat $dossier/$fichier` 
    {
	

	if [  $fichier = "URL_FR.txt" ]  #Si on va traiter les URLS des pages web en franais
	then
	wget -O ./PAGES-ASPIREES/$i.html $nom  # Aspirer la page web en franais
	lynx -dump $nom > ./DUMP-TEXT-FR/$i.txt  #Rcuprer le texte brut d'une page en franais
	egrep -i "\bcaract.re\b" ./DUMP-TEXT-FR/$i.txt > ./CONTEXTES-FR/$i.txt
	echo "<tr style=\"color=#0033FF\"><td style=\"color=#0033FF; width:300px;\"><a href=\"$nom\">$nom</a></td><td style=\"color=#0033FF\"><a href=\"../PAGES-ASPIREES/$i.html\">PAGE ASPIREE</a></td><td style=\"color=#0033FF\"><a href=\"../DUMP-TEXT-FR/$i.txt\">PAGE DUMP</a></td><td style=\"color=#0033FF\"><a href=\"../CONTEXTES-FR/$i.txt\">PAGE CONTEXTE</a></td></tr>" >> $tablo;
	fi 
	if [ $fichier = "URL_ENG.txt" ]  #Si on va traiter les URLS des pages web en anglais
	then
	 wget -O ./PAGES-ASPIREES/$i.html $nom   # Aspirer la page web en anglais
	lynx -dump $nom > ./DUMP-TEXT-ENG/$i.txt  #Rcuprer le texte brut d'une page en anglais
	egrep -i "\bcharacter\b" ./DUMP-TEXT-ENG/$i.txt > ./CONTEXTES-ENG/$i.txt 
	echo "<tr style=\"color=#0033FF\"><td style=\"color=#0033FF; width:300px;\"><a href=\"$nom\">$nom</a></td><td><a href=\"../PAGES-ASPIREES/$i.html\">PAGE ASPIREE</a></td><td style=\"color=#0033FF\"><a href=\"../DUMP-TEXT-ENG/$i.txt\">PAGE DUMP</a></td><td style=\"color=#0033FF\"><a href=\"../CONTEXTES-ENG/$i.txt\">PAGE CONTEXTE</a></td></tr>" >> $tablo;
	fi
    if [ $fichier = "URL_AR.txt" ]  #Si on va traiter les URLS des pages web en Arabe
	then
	wget -O ./PAGES-ASPIREES/$i.html $nom  # Aspirer la page web en arabe
	lynx -dump -nolist $nom > ./DUMP-TEXT-AR/$i.txt #Rcuprer le texte brut d'une page en arabe
	perl ./PROGRAMMES/minigrepmultilingue/minigrepmultilingue.pl \"UTF-8\"  ./DUMP-TEXT-AR/$i.txt ./PROGRAMMES/minigrepmultilingue/motifar.txt 
	mv ./PROGRAMMES/minigrepmultilingue/resultat-extraction.html ./CONTEXTES-AR/$i.html 
	echo "<tr style=\"color=#0033FF\"><td style=\"color=#0033FF; width:300px;\"><a href=\"$nom\">$nom</a></td><td style=\"color=#0033FF\"><a href=\"../PAGES-ASPIREES/$i.html\">PAGE ASPIREE</a></td><td style=\"color=#0033FF\"><a href=\"../DUMP-TEXT-AR/$i.txt\">PAGE DUMP</a></td><td style=\"color=#0033FF\"><a href=\"../CONTEXTES-AR/$i.txt\">PAGE CONTEXTE</a></td></tr>" >> $tablo;
	fi 	 
	let "i+=1" ;
    }

    echo "</table>" >> $tablo;
    echo "<br>" >> $tablo;
}
echo "</body></html>" >> $tablo;
